diff -r -c -b -B -N cosmomc/source/calclike.f90 cosmomc_sampler/source/calclike.f90
*** cosmomc/source/calclike.f90	2009-10-23 10:46:58.000000000 +0200
--- cosmomc_sampler/source/calclike.f90	2009-10-28 18:00:26.100502857 +0100
***************
*** 1,25 ****
  module CalcLike
-  use CMB_Cls
-  use cmbtypes
-  use cmbdata
-  use mpk
   use Random
   use settings
   use ParamDef
-  use snovae
-  use WeakLen
-  use Lya
   implicit none
  
-  logical :: Use_Age_Tophat_Prior = .true.
-  logical :: Use_CMB = .true.
-  logical :: Use_BBN = .false.
-  logical :: Use_Clusters = .false.
-   
-  integer :: H0_min = 40, H0_max = 100
-  real :: Omk_min = -0.3, Omk_max = 0.3
-  real :: Use_min_zre = 0
-  integer :: Age_min = 10, Age_max = 20
   real :: Temperature  = 1
  
  contains
--- 1,9 ----
***************
*** 41,72 ****
    end function GenericLikelihoodFunction
  
    
-   function GetLogPrior(CMB, Info) !Get -Ln(Prior)
-     real GetLogPrior
-     real Age
-     Type (CMBParams) CMB
-     Type(ParamSetInfo) Info
- 
-     GetLogPrior = logZero
-  
-     if (.not. generic_mcmc) then
-      if (CMB%H0 < H0_min .or. CMB%H0 > H0_max) return
-      if (CMB%omk < Omk_min .or. CMB%omk > Omk_max .or. CMB%Omv < 0) return
-      if (CMB%zre < Use_min_zre) return
- 
-      Age = GetAge(CMB, Info)
-       !This sets up parameters in CAMB, so do not delete unless you are careful!
-  
-      if (Use_Age_Tophat_Prior .and. (Age < Age_min .or. Age > Age_max) .or. Age < 0) return
-     
-     end if
-     GetLogPrior = 0
-  
-   end function GetLogPrior
- 
    function GetLogLike(Params) !Get -Ln(Likelihood)
      type(ParamSet)  Params 
-     Type (CMBParams) CMB
      real GetLogLike
      real dum(1,1)
   
--- 25,32 ----
***************
*** 81,176 ****
  
      else
  
!      call ParamsToCMBParams(Params%P,CMB)
! 
!      GetLogLike = GetLogLikePost(CMB, Params%Info,dum,.false.)
      end if 
     end function GetLogLike
  
      
-   function GetLogLikePost(CMB, Info, inCls, HasCls) 
-     real GetLogLikePost
-     Type (CMBParams) CMB
-     Type(ParamSetInfo) Info
-     real, intent(in):: inCls(:,:)
-     logical, intent(in) :: HasCls
-     real acl(lmax,num_cls)
-     integer error
- 
-     if (generic_mcmc) stop 'GetLogLikePost: not supported for generic'
- 
-     GetLogLikePost  = GetLogPrior(CMB, Info)
-     if ( GetLogLikePost >= logZero) then
-        GetLogLikePost = logZero
-        
-     else 
-        GetLogLikePost = GetLogLikePost + sum(CMB%nuisance(1:nuisance_params_used)**2)/2
-           !Unit Gaussian prior on all nuisance parameters
-        if (Use_BBN) GetLogLikePost = GetLogLikePost + (CMB%ombh2 - 0.022)**2/(2*0.002**2) 
-           !I'm using increased error bars here
-    
-        if (Use_CMB .or. Use_LSS) then
-           if (HasCls) then
-            acl = inCls
-            error =0
-           else
-            call GetCls(CMB, Info, acl, error)
-           end if
-          if (error /= 0) then
-           GetLogLikePost = logZero 
-          else
-           if (Use_CMB) GetLogLikePost = &
-             CMBLnLike(acl, CMB%norm(norm_freq_ix:norm_freq_ix+num_freq_params-1),CMB%nuisance) + GetLogLikePost
-           if (Use_mpk) GetLogLikePost = GetLogLikePost + LSSLnLike(CMB, Info%theory)
-           if (Use_WeakLen) GetLogLikePost = GetLogLikePost + WeakLenLnLike(CMB, Info%theory)     
-           if (Use_Lya) GetLogLikePost = GetLogLikePost +  LSS_Lyalike(CMB, Info%Theory)
-           if ( GetLogLikePost >= logZero) then
-             GetLogLikePost = logZero
-           end if
-          end if
-          if (Use_SN .and. GetLogLikePost /= logZero ) then
-             if (Info%Theory%SN_loglike /= 0) then
-              GetLogLikePost = GetLogLikePost + Info%Theory%SN_loglike
-             else
-              GetLogLikePost = GetLogLikePost + SN_LnLike(CMB)
-             end if
-                !Assume computed only every time hard parameters change
-          end if
-          if (Use_BAO .and. GetLogLikePost /= logZero ) then
-             if (Info%Theory%BAO_loglike /= 0) then
-              GetLogLikePost = GetLogLikePost + Info%Theory%BAO_loglike
-             else
-              GetLogLikePost = GetLogLikePost + BAO_LnLike(CMB)
-             end if
-                !Assume computed only every time hard parameters change
-          end if
-          if (Use_HST .and. GetLogLikePost /= logZero) then
-             if (Info%Theory%HST_loglike /= 0) then
-              GetLogLikePost = GetLogLikePost + Info%Theory%HST_loglike
-             else
-              GetLogLikePost = GetLogLikePost + HST_LnLike(CMB)
-             end if
-            !!Old: GetLogLikePost = GetLogLikePost + (CMB%H0 - 72)**2/(2*8**2)  !HST 
-          end if  
-      
-          else
-            if (Use_SN) GetLogLikePost = GetLogLikePost + SN_LnLike(CMB)
-            if (Use_BAO) GetLogLikePost = GetLogLikePost + BAO_LnLike(CMB)
-            if (Use_HST) GetLogLikePost = GetLogLikePost + HST_LnLike(CMB)           
-          end if
-          
-      
-       if (Use_Clusters .and. GetLogLikePost /= LogZero) then
-           GetLogLikePost = GetLogLikePost + &
-                  (Info%Theory%Sigma_8-0.9)**2/(2*0.05**2)
-           stop 'Write your cluster prior in calclike.f90 first!'
-       end if
- 
-      if (GetLogLikePost /= LogZero) GetLogLikePost = GetLogLikePost/Temperature
-    
- 
-     end if
  
-   end function GetLogLikePost
  
  end module CalcLike
--- 41,51 ----
  
      else
  
!        stop
      end if 
     end function GetLogLike
  
      
  
  
  end module CalcLike
diff -r -c -b -B -N cosmomc/source/conjgrad_wrapper.f90 cosmomc_sampler/source/conjgrad_wrapper.f90
*** cosmomc/source/conjgrad_wrapper.f90	2009-10-20 16:04:10.000000000 +0200
--- cosmomc_sampler/source/conjgrad_wrapper.f90	2009-10-28 17:18:17.276306858 +0100
***************
*** 4,9 ****
--- 4,10 ----
   use ParamDef
   use CalcLike
   use Random
+  use wrapper
   implicit none
   private 
   real ftol, Bestfit_loglike
diff -r -c -b -B -N cosmomc/source/driver.F90 cosmomc_sampler/source/driver.F90
*** cosmomc/source/driver.F90	2009-10-20 15:24:17.000000000 +0200
--- cosmomc_sampler/source/driver.F90	2009-10-28 17:24:15.272250489 +0100
***************
*** 7,25 ****
          use MonteCarlo
          use ParamDef
          use settings
-         use cmbdata
          use posthoc
-         use WeakLen
          use CalcLike
          use EstCovmatModule
          use ConjGradModule
-         use mpk
          use MatrixUtils
          use IO
          use ParamNames
! #ifdef WMAP_PARAMS
!         use WMAP_OPTIONS
! #endif
          implicit none 
          
          character(LEN=Ini_max_string_len) InputFile, LogFile
--- 7,20 ----
          use MonteCarlo
          use ParamDef
          use settings
          use posthoc
          use CalcLike
          use EstCovmatModule
          use ConjGradModule
          use MatrixUtils
          use IO
          use ParamNames
! 
          implicit none 
          
          character(LEN=Ini_max_string_len) InputFile, LogFile
***************
*** 27,34 ****
          logical bad, est_bfp_before_covmat
          integer numsets, nummpksets, i, numtoget, action
          character(LEN=Ini_max_string_len) baseroot, filename(100), &
!          mpk_filename(100),  SZTemplate(100), numstr, fname
!         real SZscale(100)
          Type(ParamSet) Params, EstParams
          integer num_points
          integer status          
--- 22,29 ----
          logical bad, est_bfp_before_covmat
          integer numsets, nummpksets, i, numtoget, action
          character(LEN=Ini_max_string_len) baseroot, filename(100), &
!         numstr, fname
!         
          Type(ParamSet) Params, EstParams
          integer num_points
          integer status          
***************
*** 89,100 ****
          checkpoint = Ini_Read_Logical('checkpoint',.false.)
          if (checkpoint) flush_write = .true.
          
! #ifdef WMAP_PARAMS
!         use_TT_beam_ptsrc = Ini_read_Logical('use_TT_beam_ptsrc')
!         use_TE = Ini_read_Logical('use_TE')
!         use_TT = Ini_Read_Logical('use_TT')
!         print *, 'WMAP beam TE TT', use_TT_beam_ptsrc, use_TE, use_TT
! #endif
  
  #ifdef MPI 
          
--- 84,90 ----
          checkpoint = Ini_Read_Logical('checkpoint',.false.)
          if (checkpoint) flush_write = .true.
          
! 
  
  #ifdef MPI 
          
***************
*** 184,224 ****
            call InitRandom()
          end if
  
-         use_nonlinear = Ini_Read_Logical('nonlinear_pk',.false.)
-         pivot_k = Ini_Read_Real('pivot_k',0.05)
-         inflation_consistency = Ini_read_Logical('inflation_consistency',.false.)
- 
-         w_is_w = Ini_Read_Logical ('w_is_w',.true.)     
          oversample_fast = Ini_Read_Int('oversample_fast',1)
          use_fast_slow = Ini_read_Logical('use_fast_slow',.true.)
   
          if (Ini_Read_Logical('cmb_hyperparameters', .false.)) &
              call DoStop( 'Hyperparameters not supported any more')
  
-         if (Ini_Read_String('use_2dF') /= '') stop 'use_2dF now replaced with use_mpk'
-         Use_Clusters = Ini_Read_Logical('use_clusters',.false.)
-         Use_mpk = Ini_Read_Logical('use_mpk',.false.) ! matter power spectrum, incl 2dF
-         Use_HST = Ini_Read_Logical('use_HST',.true.)
-         Use_BBN = Ini_Read_Logical('use_BBN',.false.)
-         Use_Age_Tophat_Prior= Ini_Read_Logical('use_Age_Tophat_Prior',.true.)
-         Use_SN = Ini_Read_Logical('use_SN',.false.)
-         if (Use_SN) SN_filename = Ini_Read_String('SN_filename')
-         Use_BAO = Ini_Read_Logical('use_BAO',.false.)
-         Use_CMB = Ini_Read_Logical('use_CMB',.true.)
-         Use_WeakLen = Ini_Read_Logical('use_WeakLen',.false.)
-         Use_min_zre = Ini_Read_Double('use_min_zre',0.d0) 
-         Use_Lya = Ini_Read_logical('use_lya',.false.)
-        
-         if (Ini_HasKey('DataDir')) DataDir=Ini_Read_String('data_dir') 
- 
-         if (Use_Lya .and. use_nonlinear) &
-              call DoStop('Lya.f90 assumes LINEAR power spectrum input')
- 
-         !flag to force getting sigma8 even if not using LSS data 
-         use_LSS = Ini_Read_Logical('get_sigma8',.false.)
-         ! use_LSS = Use_2dF .or. Use_Clusters .or. Use_WeakLen
-         use_LSS = Use_LSS .or. Use_mpk .or. Use_Clusters .or. Use_WeakLen .or. Use_Lya
- 
          Temperature = Ini_Read_Real('temperature',1.)
          
          num_threads = Ini_Read_Int('num_threads',0)
--- 174,185 ----
***************
*** 236,277 ****
  
          Ini_fail_on_not_found = .true.
  
-         numsets = Ini_Read_Int('cmb_numdatasets')
          num_points = 0
          nuisance_params_used = 0
-         if (Use_CMB) then
-          do i= 1, numsets
-           filename(i) = Ini_Read_String(numcat('cmb_dataset',i)) 
-           call ReadDataset(filename(i))
-           num_points = num_points + datasets(i)%num_points
-           SZTemplate(i) = Ini_Read_String(numcat('cmb_dataset_SZ',i), .false.) 
-           if (SZTemplate(i)/='') then
-            SZScale(i) = Ini_read_Real(numcat('cmb_dataset_SZ_scale',i),1.0)
-            call ReadSZTemplate(datasets(i), SZTemplate(i),SZScale(i))
-           end if
-           nuisance_params_used = nuisance_params_used + datasets(i)%nuisance_parameters
-          end do
-          if (Feedback > 1) write (*,*) 'read datasets'
-         end if
  
!         Ini_fail_on_not_found = .true.
          
!         nummpksets = Ini_Read_Int('mpk_numdatasets',0)
!         if (Use_mpk) then
!          do i= 1, nummpksets
!           mpk_filename(i) = Ini_Read_String(numcat('mpk_dataset',i)) 
!           call ReadMpkDataset(mpk_filename(i))
!          end do
!          if (Feedback>1) write(*,*) 'read mpk datasets'
!         end if
  
-         if(Use_BAO .and. use_dr7lrg) &
-          call MpiStop('DR7 LRG and BAO are based on the same dataset. You cannot use both.')
  
          numtoget = Ini_Read_Int('samples')
  
-         call Initialize(Params)
- 
          call Ini_Close
  
          if (MpiRank==0 .and. action==0 .and. NameMapping%nnames/=0) &
--- 197,212 ----
  
          Ini_fail_on_not_found = .true.
  
          num_points = 0
          nuisance_params_used = 0
  
!         call Initialize(Params)
  
!         Ini_fail_on_not_found = .true.
  
  
          numtoget = Ini_Read_Int('samples')
  
          call Ini_Close
  
          if (MpiRank==0 .and. action==0 .and. NameMapping%nnames/=0) &
diff -r -c -b -B -N cosmomc/source/EstCovmat.f90 cosmomc_sampler/source/EstCovmat.f90
*** cosmomc/source/EstCovmat.f90	2009-10-02 12:17:10.000000000 +0200
--- cosmomc_sampler/source/EstCovmat.f90	2009-10-28 17:24:35.960789626 +0100
***************
*** 12,17 ****
--- 12,18 ----
   use CalcLike
   use settings
   use Matrixutils
+  use wrapper
   implicit none
  
   real, dimension(:,:,:,:), allocatable :: Lgrid
